s10_level_hints.levels["Level 10"] = function()
	return
	{
		miniscenes
		({
			level10_scene01 = 
			{
				on_scene("level10_scene02", click("gui_amulet_past"))
			},
			
			level10_scene02 = 
			{
				on_scene("level10_scene01", click("gui_amulet_present"))
			}
		}),
		
		on_scene("level10_scene01",
		{
		-- взять ключ от засова
			take("stone"),
			click("area_box_with_key", "stone"),
			IF(state("key", "key02"), take("key_inv")),
		
		-- взять веревку
			take("scissors"),
			click("area_rope", "scissors")
		}),
		
		-- поджечь факел
		on_scene("level10_scene02", 
		{
			take("torch"),
			click("area_fire", "torch")
		}),
		
		-- включить сигнализацию
		on_scene("level10_scene01",
		{
			click("area_chair_part02"),
			IF(state("chair", "chair02"), click("area_signalling", "burning_torch"))
		}),
		
		-- наполнить чашу
		on_scene("level10_scene02", take("bowl_past")),
		on_scene("level10_scene01",
		{
			click("area_floor", "bowl_past"),
			
		-- отключить пожарную сигнализацию
			take("screwdriver"),
			IF({state("rain", "rain02"),state("bowl", "bowl03")}, click("area_panel", "screwdriver")),
			IF({state("rain", "rain02"),in_inv("bowl_with_water")}, click("area_panel", "screwdriver")),
			IF({state("rain", "rain02"),state("panel", "panel02")}, minigame("area_panel")),
			
		-- затушить огонь
			take("bowl_with_water", "area_bowl")
		}),
		on_scene("level10_scene02",
		{
			click("area_fire", "bowl_with_water"),
			
		-- убрать засов
			IF(state("clip_fire", "clip_fire02"),
			{
				click("area_bolt", "key_inv"),
				click("area_mechanism", "cord"),
				IF(state("mechanism", "mechanism02"), click("area_mechanism")),
				
		-- обнаружить след Алабамы
				IF(state("mechanism", "mechanism03"), end_level("area_steps"))
			})
		})
	}	
end
